Go to the latest version of this document.

# ``twisted`.`conch`.`tap``

module documentation
(source)

Support module for making SSH servers with twistd.

Class | `Options` | No class docstring; 0/1 instance variable, 0/4 class variable, 1/2 method documented
Function | `makeService` | Construct a service for operating a SSH server.

def makeService(config): (source)

Construct a service for operating a SSH server.

Parameters
config | An `Options` instance specifying server options, including where server keys are stored and what authentication methods to use.

Returns
A `twisted.application.service.IService` provider which contains the requested SSH server.